# Uses of Interface
org.eclipse.core.filebuffers.IDocumentSetupParticipant

Packages that use IDocumentSetupParticipant
Package
Description
org.eclipse.ui.editors.text
Provides a standard text editor and concrete document providers based `IFileBuffer` and others directly handling `IFile` and `IStorage` as editor input.

## Uses of IDocumentSetupParticipant in org.eclipse.ui.editors.text

Constructors in org.eclipse.ui.editors.text with parameters of type IDocumentSetupParticipant
Modifier
Constructor
Description
``
`ForwardingDocumentProvider(String partitioning, IDocumentSetupParticipant documentSetupParticipant)`
Creates a new forwarding document provider with a dynamically changeable parent provider.
``
`ForwardingDocumentProvider(String partitioning, IDocumentSetupParticipant documentSetupParticipant, IDocumentProvider parentProvider)`
Creates a new forwarding document provider with a fixed parent document provider.